org.apache.solr.analysis

## Class SolrAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.solr.analysis.SolrAnalyzer

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Direct Known Subclasses:
    FieldType.DefaultAnalyzer, TokenizerChain

      public abstract class SolrAnalyzer
      extends Analyzer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrAnalyzer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPositionIncrementGap(String fieldName)`
    `protected Reader` | `initReader(String fieldName, Reader reader)`
    `void` | `setPositionIncrementGap(int gap)`

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `attributeFactory, close, createComponents, getOffsetGap, getReuseStrategy, getVersion, initReaderForNormalization, normalize, normalize, setVersion, tokenStream, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SolrAnalyzer

          public SolrAnalyzer()

  - ### Method Detail

    - #### setPositionIncrementGap

          public void setPositionIncrementGap(int gap)

    - #### getPositionIncrementGap

          public int getPositionIncrementGap(String fieldName)

      Overrides:
        `getPositionIncrementGap` in class `Analyzer`

    - #### initReader

          protected Reader initReader(String fieldName,
                                      Reader reader)

      Overrides:
        `initReader` in class `Analyzer`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.